## org.apache.mahout.cf.taste.recommender
Interface RecommendedItem

All Known Implementing Classes:
  GenericRecommendedItem, MutableRecommendedItem

    public interface RecommendedItem

Implementations encapsulate items that are recommended, and include the item recommended and a value expressing the strength of the preference.

Method Summary
`long` `getItemID()`
`float` `getValue()` A value expressing the strength of the preference for the recommended item.

Method Detail

### getItemID

    long getItemID()

  Returns:
    the recommended item ID

### getValue

    float getValue()

  A value expressing the strength of the preference for the recommended item. The range of the values depends on the implementation. Implementations must use larger values to express stronger preference.

  Returns:
    strength of the preference

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.